%define fw_version 5.41

Summary:	KDE Frameworks 5 parallelized query system module
Name:		krunner
Version:	5.41.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5config-devel >= %{version}
BuildRequires:	kf5coreaddons-devel >= %{version}
BuildRequires:	kf5i18n-devel >= %{version}
BuildRequires:	kf5kio-devel >= %{version}
BuildRequires:	kf5service-devel >= %{version}
BuildRequires:	kf5plasma-devel >= %{version}
BuildRequires:	kf5solid-devel >= %{version}
BuildRequires:	kf5threadweaver-devel >= %{version}
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)

%description
KDE Frameworks 5 parallelized query system module.

The Plasma workspace provides an application called KRunner which, among other
things, allows one to type into a text area which causes various actions and
information that match the text appear as the text is being typed.

%files
%{_kde5_configdir}/krunner.categories
%{_kde5_servicetypes}/plasma-runner.desktop

#----------------------------------------------------------------------------

%define qmlkf5krunner %mklibname kf5krunner-qml

%package -n %{qmlkf5krunner}
Summary:	QML plugin for KDE Frameworks 5 KRunner
Group:		System/Libraries
Provides:	kf5krunner-qml = %{EVRD}

%description -n %{qmlkf5krunner}
QML plugin for KDE Frameworks 5 KRunner.

%files -n %{qmlkf5krunner}
%dir %{_kde5_qmldir}/org/kde/runnermodel/
%{_kde5_qmldir}/org/kde/runnermodel/*

#----------------------------------------------------------------------------

%define kf5runner_major 5
%define libkf5runner %mklibname kf5runner %{kf5runner_major}

%package -n %{libkf5runner}
Summary:	KDE Frameworks 5 parallelized query system shared library
Group:		System/Libraries
Requires:	%{name}
Requires:	%{qmlkf5krunner}

%description -n %{libkf5runner}
KDE Frameworks 5 parallelized query system shared library.

%files -n %{libkf5runner}
%{_kde5_libdir}/libKF5Runner.so.%{kf5runner_major}*

#----------------------------------------------------------------------------

%define devkf5runner %mklibname kf5runner -d

%package -n %{devkf5runner}
Summary:	Development files for KDE Frameworks 5 parallelized query system module
Group:		Development/KDE and Qt
Requires:	%{libkf5runner} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5runner-devel = %{version}

%description -n %{devkf5runner}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5runner}
%{_kde5_datadir}/kdevappwizard/templates/runner.tar.*
%{_kde5_includedir}/KF5/KRunner
%{_kde5_includedir}/KF5/krunner_version.h
%{_kde5_libdir}/cmake/KF5Runner
%{_kde5_libdir}/libKF5Runner.so
%{_kde5_mkspecsdir}/*.pri
%{_datadir}/dbus-1/interfaces/kf5_org.kde.krunner1.xml

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build


%changelog

* Tue Dec 12 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.41.0-1
- (e4c2af4) Update files
- (Andrey Bondrov: 16bdb54) New version 5.41.0

* Mon Sep 11 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.38.0-1
- (56718d3) Adjust BuildRequires format
- (Andrey Bondrov: 51e081e) Update files
- (Andrey Bondrov: 1610ac5) New version 5.38.0

* Wed Jun 14 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.35.0-1
- (6a8bc46) New version 5.35.0

* Mon May 15 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.34.0-1
- (785fa1e) New version 5.34.0

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-3
- (d366702) MassBuild#1230: Increase release tag

* Thu Jan 26 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-2
- (9aa31c9) MassBuild#1210: Increase release tag

* Mon Jan 23 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-1
- (2cf62d9) New version 5.30.0

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.27.0-2
- (19f1383) MassBuild#1169: Increase release tag

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.27.0-1
- (fb1b617) New version 5.27.0

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (f49f4a4) New version 5.24.0

* Sat Jun 18 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.23.0-1
- (043ff6c) New version 5.23.0

* Wed Apr 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-2
- (23d66e6) MassBuild#1025: Increase release tag

* Mon Apr 11 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-1
- (4243b36) Update files (add kdevappwizard template to development package)
- (Andrey Bondrov: af2101b) New version 5.21.0

* Fri Apr 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-2
- (5c8ac19) MassBuild#1000: Increase release tag

* Mon Mar 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-1
- (26e9300) New version 5.20.0

* Sat Feb 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.19.0-1
- (2d07480) New version 5.19.0

* Mon Jan 11 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.18.0-1
- (75652cb) New version 5.18.0

* Wed Dec 23 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.17.0-1
- (264a422) New version 5.17.0

* Wed Nov 18 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-2
- (2e6eae2) Bump release

* Tue Nov 17 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-1
- (76770d3) New version 5.16.0

* Sun Oct 11 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.15.0-1
- (9f5ce96) New version 5.15.0

* Sat Sep 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.14.0-1
- (5e435bd) New version 5.14.0

* Wed Aug 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.13.0-1
- (4a477fe) New version 5.13.0

* Mon Jul 13 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.12.0-1
- (97cf00b) New version 5.12.0

* Mon Jun 15 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.11.0-1
- (5b6581b) New version 5.11.0

* Sat May 09 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.0-1
- (5f8d192) New version 5.10.0


